Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 502194 - net-print/cups-1.7.1 with dev-util/ccache-3.1.9-r3 and CC=x86_64-pc-linux-gnu-clang - ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
Summary: net-print/cups-1.7.1 with dev-util/ccache-3.1.9-r3 and CC=x86_64-pc-linux-gnu...
Status: RESOLVED DUPLICATE of bug 524340
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Printing (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 05:28 UTC by Kai Wüstermann
Modified: 2014-10-16 09:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Wüstermann 2014-02-23 05:28:45 UTC
net-print/cups-1.7.1 fails with the following config.log:

------------------------------------------------------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ ./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --localstatedir=/var --with-rundir=/run/cups --with-cups-user=lp --with-cups-group=lp --with-docdir=/usr/share/cups/html --with-languages= --with-system-groups=lpadmin --enable-acl --disable-avahi --enable-dbus --disable-debug --disable-debug-guards --disable-gssapi --enable-pam --disable-static --enable-threads --enable-libusb --disable-dnssd --with-java --without-perl --without-php --with-python=/usr/bin/python2.7 --without-xinetd --enable-libpaper --with-systemdsystemunitdir=/usr/lib/systemd/system --enable-gnutls --disable-openssl

## --------- ##
## Platform. ##
## --------- ##

hostname = kais_quad
uname -m = x86_64
uname -r = 3.10.25-gentoo
uname -s = Linux
uname -v = #2 SMP Sun Jan 19 17:34:07 CET 2014

/usr/bin/uname -p = Intel(R) Core(TM)2 Quad CPU Q8200 @ 2.33GHz
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /var/tmp/portage/net-print/cups-1.7.1/temp/python2.7/bin
PATH: /usr/lib64/ccache/bin
PATH: /usr/lib64/portage/bin/ebuild-helpers
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /opt/bin
PATH: /usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2579: checking for gawk
configure:2595: found /usr/bin/gawk
configure:2606: result: gawk
configure:2627: checking for x86_64-pc-linux-gnu-clang
configure:2643: found /usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang
configure:2654: result: x86_64-pc-linux-gnu-clang
configure:2729: checking for C compiler version
configure:2738: x86_64-pc-linux-gnu-clang --version >&5
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
configure:2749: $? = 1
configure:2738: x86_64-pc-linux-gnu-clang -v >&5
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
configure:2749: $? = 1
configure:2738: x86_64-pc-linux-gnu-clang -V >&5
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
configure:2749: $? = 1
configure:2738: x86_64-pc-linux-gnu-clang -qversion >&5
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
configure:2749: $? = 1
configure:2769: checking whether the C compiler works
configure:2791: x86_64-pc-linux-gnu-clang -march=native -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH
configure:2795: $? = 1
configure:2833: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define CUPS_SVERSION "CUPS v1.7.1"
| #define CUPS_MINIMAL "CUPS/1.7.1"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:2838: error: in `/var/tmp/portage/net-print/cups-1.7.1/work/cups-1.7.1':
configure:2840: error: C compiler cannot create executables
See `config.log' for more details

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-march=native -O2 -pipe'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-march=native -O2 -pipe'
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--as-needed'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-pc-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=x86_64-pc-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_prog_AWK=gawk
ac_cv_prog_CC=x86_64-pc-linux-gnu-clang

## ----------------- ##
## Output variables. ##
## ----------------- ##

AMANDIR=''
AR=''
ARCHFLAGS=''
ARFLAGS=''
AWK='gawk'
BACKLIBS=''
BUILDDIRS=''
CC='x86_64-pc-linux-gnu-clang'
CFLAGS='-march=native -O2 -pipe'
CHMOD=''
CPP=''
CPPFLAGS=''
CUPS_ACCESS_LOG_LEVEL=''
CUPS_BROWSE_LOCAL_PROTOCOLS=''
CUPS_BROWSING=''
CUPS_BUILD='cups-1.7.1'
CUPS_BUNDLEDIR=''
CUPS_CACHEDIR=''
CUPS_CONFIG_FILE_PERM=''
CUPS_CUPSD_FILE_PERM=''
CUPS_DATADIR=''
CUPS_DEFAULT_DOMAINSOCKET=''
CUPS_DEFAULT_GSSSERVICENAME=''
CUPS_DEFAULT_LPD_CONFIG_FILE=''
CUPS_DEFAULT_PRINTCAP=''
CUPS_DEFAULT_PRINTOPERATOR_AUTH=''
CUPS_DEFAULT_SHARED=''
CUPS_DEFAULT_SMB_CONFIG_FILE=''
CUPS_DOCROOT=''
CUPS_FATAL_ERRORS=''
CUPS_FONTPATH=''
CUPS_GROUP=''
CUPS_HTMLVIEW=''
CUPS_LISTEN_DOMAINSOCKET=''
CUPS_LOCALEDIR=''
CUPS_LOGDIR=''
CUPS_LOG_FILE_PERM=''
CUPS_LOG_LEVEL=''
CUPS_MAX_COPIES=''
CUPS_PRIMARY_SYSTEM_GROUP=''
CUPS_REQUESTS=''
CUPS_REVISION=''
CUPS_SERVERBIN=''
CUPS_SERVERCERT=''
CUPS_SERVERKEY=''
CUPS_SERVERROOT=''
CUPS_SNMP_ADDRESS=''
CUPS_SNMP_COMMUNITY=''
CUPS_STATEDIR=''
CUPS_SYSTEM_AUTHKEY=''
CUPS_SYSTEM_GROUPS=''
CUPS_USER=''
CUPS_VERSION='1.7.1'
CUPS_WEBIF=''
CXX=''
CXXFLAGS='-march=native -O2 -pipe'
CXXLIBS=''
DBUSDIR=''
DBUS_NOTIFIER=''
DBUS_NOTIFIERLIBS=''
DEFAULT_IPP_PORT=''
DEFAULT_LAUNCHD_CONF=''
DEFAULT_RAW_PRINTING=''
DEFS=''
DNSSDLIBS=''
DNSSD_BACKEND=''
DSO=''
DSOFLAGS='-Wl,-O1 -Wl,--as-needed'
DSOLIBS=''
DSOXX=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
EXPORT_LDFLAGS=''
EXPORT_SSLLIBS=''
EXTLINKCUPS=''
EXTLINKCUPSIMAGE=''
GREP=''
GZIP=''
ICONDIR=''
IMGLIBS=''
INITDDIR=''
INITDIR=''
INSTALL=''
INSTALLSTATIC=''
INSTALLXPC=''
INSTALL_GZIP=''
INSTALL_LANGUAGES=''
INSTALL_STRIP=''
INSTALL_SYSV=''
IPPALIASES=''
IPPFIND_BIN=''
IPPFIND_MAN=''
JAVA=''
KRB5CONFIG=''
LANGUAGES=''
LARGEFILE=''
LAUNCHDLIBS=''
LD=''
LDARCHFLAGS=''
LDFLAGS='-Wl,-O1 -Wl,--as-needed'
LIBCUPS=''
LIBCUPSBASE=''
LIBCUPSCGI=''
LIBCUPSIMAGE=''
LIBCUPSMIME=''
LIBCUPSPPDC=''
LIBCUPSSTATIC=''
LIBGCRYPTCONFIG=''
LIBGNUTLSCONFIG=''
LIBGSSAPI=''
LIBMALLOC=''
LIBMXML=''
LIBOBJS=''
LIBPAPER=''
LIBS=''
LIBTOOL=''
LIBUSB=''
LIBWRAP=''
LIBZ=''
LINKCUPS=''
LINKCUPSIMAGE=''
LN=''
LTLIBOBJS=''
MAN1EXT=''
MAN5EXT=''
MAN7EXT=''
MAN8DIR=''
MAN8EXT=''
MENUDIR=''
MV=''
OBJEXT=''
OPTIM=''
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_URL=''
PACKAGE_VERSION=''
PAMDIR=''
PAMFILE=''
PAMLIBS=''
PAMMOD=''
PAMMODAUTH=''
PATH_SEPARATOR=':'
PERL=''
PHP=''
PHPCGI=''
PIEFLAGS=''
PKGCONFIG=''
PMANDIR=''
PRIVATEINCLUDE=''
PTHREAD_FLAGS=''
PYTHON='/usr/bin/python2.7'
RANLIB=''
RCLEVELS=''
RCSTART=''
RCSTOP=''
RELROFLAGS=''
RM=''
RMDIR=''
SDLIBS=''
SED=''
SERVERLIBS=''
SHELL='/bin/bash'
SMFMANIFESTDIR=''
SSLFLAGS=''
SSLLIBS=''
SYSTEMD_UNITS=''
UNINSTALL_LANGUAGES=''
UNITTESTS=''
USBQUIRKS=''
XDGOPEN=''
XINETD=''
ac_ct_CC=''
ac_ct_CXX=''
bindir='${exec_prefix}/bin'
build_alias='x86_64-pc-linux-gnu'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
exec_prefix='NONE'
host_alias='x86_64-pc-linux-gnu'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/share/info'
libdir='/usr/lib64'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var'
mandir='/usr/share/man'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
privateinclude=''
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
systemdsystemunitdir=''
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""
#define CUPS_SVERSION "CUPS v1.7.1"
#define CUPS_MINIMAL "CUPS/1.7.1"

configure: exit 77
-------------------------------------------

Disabling ccache it works.




Reproducible: Always




emerge --info cups
Portage 2.2.7 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.10.25-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.10.25-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q8200_@_2.33GHz-with-gentoo-2.2
KiB Mem:     4047828 total,    225204 free
KiB Swap:    4192928 total,   4192864 free
Timestamp of tree: Sun, 23 Feb 2014 02:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo science
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE PUEL dlj-1.1 AdobeFlash-11.x"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/latex2html /usr/share/gnupg/qualified.txt /usr/share/texmf-site/tex/latex/html /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=" -j3  --load-average 3"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 amr berkdb branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cupsddk cxx dbus dri dts dvd dvdr dvi emboss encode exif fam firefox flac fortran g3dvl gdbm gif gimp gnutls gpm gstreamer gtk gtk3 hddtemp hpijs hunspell iconv ipv6 java jpeg jpg latex lcms libnotify lm_sensors lyx mad midi mime mmx mng modules mono mp3 mp4 mpeg mtp multilib ncurses nls nptl nsplugin nvidia odbc odf ogg opencl opengl openmp pam pango pcre pdf pmu png policykit ppds python qt3support raw readline scanner sdl session smp spell sse sse2 ssl startup-notification svg symlink system-cairo system-icu system-jpeg system-sqlite tcpd theora thunar thunderbird tiff truetype udev udisks unicode upower usb vorbis win32codecs wmf wxwidgets x264 xcb xinerama xml xpm xscreensaver xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" SANE_BACKENDS="epson2 net" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-print/cups-1.7.1 was built with the following:
USE="X acl dbus gnutls java pam python ssl threads usb -debug -kerberos -lprng-compat (-selinux) -static-libs -xinetd -zeroconf" LINGUAS="-ca -es -fr -it -ja -ru" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6"
Comment 1 Jeroen Roovers gentoo-dev 2014-02-23 13:34:10 UTC
Is net-print/cups the only build that fails with that CC variable/ccache?
Comment 2 Kai Wüstermann 2014-02-23 13:54:55 UTC
(In reply to Jeroen Roovers from comment #1)
> Is net-print/cups the only build that fails with that CC variable/ccache?

Yes it is. I never had any problem with ccache.
Comment 3 Christoph Junghans gentoo-dev 2014-02-25 04:26:09 UTC
Is there a x86_64-pc-linux-gnu-clang outside of /usr/lib64/ccache/bin/?
And what does "/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang --version" show?
Comment 4 Kai Wüstermann 2014-02-25 12:45:11 UTC
(In reply to Christoph Junghans from comment #3)
> Is there a x86_64-pc-linux-gnu-clang outside of /usr/lib64/ccache/bin/?

There is no other x86_64-pc-linux-gnu-clang

> And what does "/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang --version"
> show?

/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang --version
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH


---------------------------------------------------------
ls -l /usr/lib64/ccache/bin
insgesamt 0
lrwxrwxrwx 1 root root 15 24. Feb 17:07 c++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 cc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 clang -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 clang++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 g++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 gcc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 icc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 icpc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-c++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-clang -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-clang++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-g++ -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-gcc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-icc -> /usr/bin/ccache
lrwxrwxrwx 1 root root 15 24. Feb 17:07 x86_64-pc-linux-gnu-icpc -> /usr/bin/ccache


------------------------------
/usr/bin/ccache --version
ccache version 3.1.9

Copyright (C) 2002-2007 Andrew Tridgell
Copyright (C) 2009-2011 Joel Rosdahl

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.
Comment 5 Kai Wüstermann 2014-02-25 13:01:10 UTC
for i in /usr/lib64/ccache/bin/*; do echo; echo $i; $i --version; done

/usr/lib64/ccache/bin/c++
c++ (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/cc
gcc (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/clang
ccache: FATAL: Could not find compiler "clang" in PATH

/usr/lib64/ccache/bin/clang++
ccache: FATAL: Could not find compiler "clang++" in PATH

/usr/lib64/ccache/bin/g++
g++ (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/gcc
gcc (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/icc
ccache: FATAL: Could not find compiler "icc" in PATH

/usr/lib64/ccache/bin/icpc
ccache: FATAL: Could not find compiler "icpc" in PATH

/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-c++
x86_64-pc-linux-gnu-c++ (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang" in PATH

/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-clang++
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-clang++" in PATH

/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-g++
x86_64-pc-linux-gnu-g++ (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-gcc
x86_64-pc-linux-gnu-gcc (Gentoo 4.7.3-r1 p1.4, pie-0.5.5) 4.7.3
Copyright (C) 2012 Free Software Foundation, Inc.
Dies ist freie Software; die Kopierbedingungen stehen in den Quellen. Es
gibt KEINE Garantie; auch nicht für MARKTGÄNGIGKEIT oder FÜR SPEZIELLE ZWECKE.


/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-icc
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-icc" in PATH

/usr/lib64/ccache/bin/x86_64-pc-linux-gnu-icpc
ccache: FATAL: Could not find compiler "x86_64-pc-linux-gnu-icpc" in PATH
Comment 6 Marcin Mirosław 2014-08-28 09:50:47 UTC
I've got similar problem (but with cups-1.7.4), I've got clang installed, cups fails with:

configure:2763: checking whether the C compiler works
configure:2785: x86_64-pc-linux-gnu-clang -O2 -march=native -pipe -fpeel-loops -frename-registers -frecord-gcc-switches -fno-unwind-tables -fno-asynchronous-unwind-tables           -fpredictive-commoning -fweb -ftree-vectorize -floop-interchange -fivopts -ftree-loop-distribution           -floop-block -floop-strip-mine -fira-loop-pressure -floop-interchange -ftree-loop-linear -Wdisabled-optimization   -fuse-linker-plugin  -Wl,-O1 -Wl,--as-needed -z relro -Wl,--sort-common -O2 -march=native -pipe -fpeel-loops -frename-registers -frecord-gcc-switches -fno-unwind-tables -fno-asynchronous-unwind-tables           -fpredictive-commoning -fweb -ftree-vectorize -floop-interchange -fivopts -ftree-loop-distribution           -floop-block -floop-strip-mine -fira-loop-pressure -floop-interchange -ftree-loop-linear -Wdisabled-optimization   -fuse-linker-plugin conftest.c  >&5
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-frecord-gcc-switches'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-fpredictive-commoning'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-interchange'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-ftree-loop-distribution'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-block'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-strip-mine'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-fira-loop-pressure'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-interchange'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-ftree-loop-linear'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-frecord-gcc-switches'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-fpredictive-commoning'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-interchange'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-ftree-loop-distribution'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-block'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-strip-mine'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-fira-loop-pressure'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-floop-interchange'
x86_64-pc-linux-gnu-clang-9999: error: unknown argument: '-ftree-loop-linear'
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fpeel-loops' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-frename-registers' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fweb' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fivopts' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fuse-linker-plugin' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fpeel-loops' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-frename-registers' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fweb' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fivopts' is not supported
x86_64-pc-linux-gnu-clang-9999: warning: optimization flag '-fuse-linker-plugin' is not supported
configure:2789: $? = 1
configure:2827: result: no
configure: failed program was:


Even when ccache is uninstalled cups still fails in the same way. Summary:
ccache installed && clang installed => fails
ccache uninstalled && clang installed => fails
ccache installed && clang uninstalled => fails
ccache uninstalled && clang uninstalled => compiles fine
Comment 7 Matthias Maier gentoo-dev 2014-10-16 09:39:59 UTC
All issues in this bug report are due to cups picking up the clang compiler instead of the system compiler (if clang happens to be installed on the system). This issue should be resolved with version 1.7.5-r1 onwards that always uses the system compiler.

The last compilation issue with "error: unknown argument: '-frecord-gcc-switches'" reported by Marcin I suspect such options being set as CFLAGS in make.conf - this should also be resolved with above change.

At least, I cannot reproduce with cups versions 1.7.5-r1 (and later) on my machine. Therefore, I resolve with "duplicate" wrt bug 524340.

Please reopen if I was mistaken.

*** This bug has been marked as a duplicate of bug 524340 ***